/{organizationId}/{mandateId}/dispatch/documents/{type}/{documentId}/getGet document
Returns a document for the mandate
Required permissions:
mandate.read
dispatchDocument.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired typestringrequired Options:
receiptdonationproofcertificatepassbookingmessagemailingapplicationFormcontactRulequestionnaireFormdocumentIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/dispatch/documents/{type}/{documentId}/get' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
typestringrequired Options:
receiptdonationproofcertificatepassbookingmessagemailingapplicationFormcontactRulequestionnaireFormnamestringrequired Additional properties are not allowed.
Additional properties are not allowed.
sendMethodstringrequired Options:
noneemailpostalsendColorPostalbooleanrequired documentFileNamestringrequired Additional properties are not allowed.
createdAtdate-time | nulloptional Additional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
ObjectId as string
ObjectId as string
ObjectId as string
Response
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"type": "receipt",
"name": "string",
"recipient": {
"name": "string",
"nameNormalized": "string",
"nameSort": "string",
"email": "",
"phone": "",
"address": {
"country": "string",
"zip": "string",
"city": "string",
"addressLine": "string"
},
"replyTo": "string",
"contact": "000000000000000000000001"
},
"emailTexts": {
"subject": "string",
"message": "string"
},
"sendMethod": "none",
"sendColorPostal": true,
"documentFileName": "string",
"status": {
"openedAt": "2026-06-15T22:30:00Z",
"sentAt": "2026-06-15T22:30:00Z",
"dispatchedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"sendStatus": "none",
"sendError": "NO_CREDITS_ENOUGH",
"sendPrice": 1
},
"expressaDocument": "000000000000000000000001",
"expressaMail": "000000000000000000000001"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}